#define SUBGHZ_CH			36				//`l^gł
#define SUBGHZ_PANID		0xABCD			//PANIDł
#define RX_ADDRESS			hoge			//M@̃AhXł

#define BLUE_LED			26				//MɐFLED_邽߂PINł

#define BME280_CSB 10

void setup()
{
	unsigned short myAddress;
	
	Serial.begin(115200);
	
	// Initializing Sub-GHz
	SubGHz.init();
	bme280.init(BME280_CSB);
	
	myAddress = SubGHz.getMyAddress();
	Serial.print("myAddress1 = ");
	Serial.println_long((long)myAddress,HEX);
	
	// initializing GPIO
	pinMode(BLUE_LED,OUTPUT);
	digitalWrite(BLUE_LED,HIGH);
	
}

unsigned char tx_data[128];
void loop()
{
    double temp_act = 0.0, press_act = 0.0,hum_act=0.0;
	
	bme280.read(&temp_act, &hum_act, &press_act);
	
	// Mf[^𐶐
	Print.init(tx_data,sizeof(tx_data));	//Mpf[^
	Print.p("BME280,");						//Raspberry PiBME280̃f[^ł邱Ƃʂ邽߂Ɏgp
	Print.d(temp_act,2);					//xf[^_2őM
	Print.p(",");							//f[^̋؂J}
	Print.d(hum_act,2);						//xf[^_2őM
	Print.p(",");							//f[^̋؂J}
	Print.d(press_act,2);					//Cf[^
	Print.p(",");							//f[^̋؂J}
	Print.ln();								//sR[h(gp)
	
	// 920MHzőMǍ͖W[d̓[hɂB
	SubGHz.begin(SUBGHZ_CH, SUBGHZ_PANID,  SUBGHZ_100KBPS, SUBGHZ_PWR_20MW);		// W[̐ݒ
	digitalWrite(BLUE_LED,LOW);														// LED_
	SubGHz.send(SUBGHZ_PANID, RX_ADDRESS, &tx_data, Print.len(),NULL);				// send data
	digitalWrite(BLUE_LED,HIGH);													// LED
	SubGHz.close();																	// W[ҋ@Ԃɂ
	
	Serial.print("TEMP : ");
    Serial.print_double(temp_act,2);
    Serial.print(" DegC  PRESS : ");
    Serial.print_double(press_act,2);
    Serial.print(" hPa  HUM : ");
    Serial.print_double(hum_act,2);
    Serial.println(" %");
	
	sleep(60000);
}
